Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class SurrogateRegexTranslator.Complement

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.Complement

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Complement

extends Object

Character class representing the complement of another character class, that is, all characters that the other class doesn't match.

Constructor Summary
`SurrogateRegexTranslator.Complement(net.sf.saxon.regex.SurrogateRegexTranslator.CharClass cc)`

Method Summary
`void` | `addNonBmpRanges(List ranges)` Add ranges of non-BMP characters that are matched by this character class.
`void` | `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` | `outputComplementBmp(FastStringBuffer buf)` Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.Complement

    public SurrogateRegexTranslator.Complement(net.sf.saxon.regex.SurrogateRegexTranslator.CharClass cc)

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

### addNonBmpRanges

    public void addNonBmpRanges(List ranges)

  Add ranges of non-BMP characters that are matched by this character class. Default implementation does nothing.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.